aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas Larsson <[email protected]>2019-05-07 17:48:19 +0200
committerLukas Larsson <[email protected]>2019-05-07 17:48:19 +0200
commit40f2ce825eb6af86f98fe573cf308f5536d24d66 (patch)
tree251dc1746eb07b3c25b060ad4dfbae12da654c66
parent79df59b5e0643a236fdc238e7417053f84e50c77 (diff)
downloadotp-40f2ce825eb6af86f98fe573cf308f5536d24d66.tar.gz
otp-40f2ce825eb6af86f98fe573cf308f5536d24d66.tar.bz2
otp-40f2ce825eb6af86f98fe573cf308f5536d24d66.zip
otp: Don't error dialyzer script if WARNINGS fail
The WARNINGS set of application are know to produce warnings, so don't fail when they do. Instead we just print them to let the user know that they are there.
-rwxr-xr-xscripts/run-dialyzer2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/run-dialyzer b/scripts/run-dialyzer
index 44436594d3..34724a8ca0 100755
--- a/scripts/run-dialyzer
+++ b/scripts/run-dialyzer
@@ -43,5 +43,5 @@ $ERL_TOP/bin/dialyzer --build_plt -Wunknown --apps $BASE_PLT $APP_PLT --statisti
$ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps $UNMATCHED --statistics
$ERL_TOP/bin/dialyzer -n -Wunknown --apps $NO_UNMATCHED --statistics
if [ "X$WARNINGS" != "X" ]; then
- $ERL_TOP/bin/dialyzer -n --apps $WARNINGS --statistics
+ $ERL_TOP/bin/dialyzer -n --apps $WARNINGS --statistics || true
fi